semigroupoids-5.1: Semigroupoids: Category sans id

Copyright | (C) 2011-2015 Edward Kmett
License | BSD-style (see the file LICENSE)
Maintainer | Edward Kmett <ekmett@gmail.com>
Stability | experimental
Portability | non-portable (flexible MPTCs)
Safe Haskell | Safe
Language | Haskell98

Data.Semigroupoid.Ob

Description

# Documentation

class Semigroupoid k => Ob k a where #

Minimal complete definition

semiid

Methods

semiid :: k a a #

Instances

Ob * (->) a # |
Methods semiid :: a a a #
(Bind m, Monad m) => Ob * (Kleisli m) a # |
Methods semiid :: a a a #
(Extend w, Comonad w) => Ob * (Cokleisli w) a # |
Methods semiid :: a a a #